﻿using Syncfusion.Windows.Forms.Tools;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RibbonControlAdv146157
{
    public partial class Form1 : RibbonForm
    {
        [DllImport("user32.dll")]
        static extern bool LockWindowUpdate(IntPtr hWndLock);
        public Form1()
        {
            InitializeComponent();
            for (int i = 0; i < this.ribbonControlAdv1.Header.MainItems.Count; i++)
            {
                (this.ribbonControlAdv1.Header.MainItems[i] as ToolStripTabItem).Panel.VisibleChanged += Panel_VisibleChanged;
            }
            this.ribbonControlAdv1.SelectedTabItemChanged += RibbonControlAdv1_SelectedTabItemChanged;
        }

        private void Panel_VisibleChanged(object sender, EventArgs e)
        {
            LockWindowUpdate((sender as RibbonPanel).Handle);
        }

        private void RibbonControlAdv1_SelectedTabItemChanged(object sender, SelectedTabChangedEventArgs e)
        {
            LockWindowUpdate(IntPtr.Zero);
        }
    }
}
